This repository contains an example Maven project that depends on Deephaven binaries, using
[Deephaven's Artifactory](https://illumon.jfrog.io/ui/) as a repository.

- Customers can a mirror instead of pulling from DH artifactory directly.
- Credentials for connecting to DH Artifactory must be provided. An example `settings.xml` file is provided.
  (Note that `settings.xml` typically resides in a directory such as `~/.m2/settings.xml`)
- This project contains an example `org.example.QueryUtils` class that references Deephaven classes. (It can be built, but
  cannot readily be run because this example project does not set the additional configuration files/properties
  required to initialize Deephaven libraries.) 

Note: you may need to add the following JVM args to allow Deephaven classes to access internals:
`--add-opens=java.base/java.nio=ALL-UNNAMED`
`--add-exports=java.management/sun.management=ALL-UNNAMED`
`--add-exports=java.base/jdk.internal.misc=ALL-UNNAMED`